#ifndef _PWM_H
#define _PWM_H

#include "system.h"                  // Device header

void PWM1_Init(uint16_t Per,uint16_t Psc);
void PWM2_Init(uint16_t Per,uint16_t Psc);
void PWM3_Init(uint16_t Per,uint16_t Psc);


void PWM_SetCompare1(uint16_t Compare);
void PWM_SetCompare2( uint16_t Compare);
void PWM_SetCompare4( uint16_t Compare);

void TIM4_Init(u16 arr,u16 psc);

#endif

